<!DOCTYPE html>
<html>
<head>
    <script>
        function mock() \{
            fetch(window.location, \{method: 'post'\})
                .then(() => window.location.reload(false));
        \}
        async function multimock() \{
            for (const sender of ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J']) \{
                await fetch(window.location + '/' + sender, \{method: 'post'\});
            \}
            window.location.reload(false);
        \}
    </script>
    <link rel="stylesheet" href="/style.css" />
    <style>
    #senders {
        display: flex;
        flex-direction: column;
        align-items: end;
    }
    #senders .sender {
        display: flex;
        width: 100%;
        padding-bottom: 20px;
        text-decoration: none;
        color: inherit;
    }
    #senders .sender .sender-abbreviated {
        border-radius: 20px;
        width: 40px;
        height: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    #senders .sender .sender-details {
        padding-left: 10px;
    }
    #senders .sender .sender-name {
        padding-bottom: 5px;
    }
    #senders .sender .sender-message {
        color: darkgray;
        font-size: 80%;
        padding-bottom: 3px;
    }
    </style>
</head>
<body>
<div id="phone">
    <div id="headline">
        {recipientNumber}
    </div>
    <div id="content">
        <div id="senders">
            {#for sender in senders}
            <a class="sender" href="/{recipientNumber}/{sender.name}">
                <div class="sender-abbreviated" style="background-color: {sender.color.background}; color: {sender.color.foreground}">{sender.name.substring(0,1).toUpperCase()}</div>
                <div class="sender-details">
                    <div class="sender-name">{sender.name}</div>
                    <div class="sender-message">{sender.latestMessage}</div>
                </div>
            </a>
            {/for}
            {#if senders.isEmpty()}
            No messages
            {/if}
        </div>
    </div>
</div>
<div id="mock" onclick="mock()">
    +
</div>
<div id="multimock" onclick="multimock()">
    ++
</div>
</body>
</html>
